Loading...
Searching...
No Matches
AVIODirEntry Struct Reference

Describes single entry of the directory. More...

`#include <libavformat/avio.h>`

## Data Fields

char * | name
| Filename.
int | type
| Type of the entry.
int | utf8
| Set to 1 when name is encoded with UTF-8, 0 otherwise.
int64_t | size
| File size in bytes, -1 if unknown.
int64_t | modification_timestamp
| Time of last modification in microseconds since unix epoch, -1 if unknown.
int64_t | access_timestamp
| Time of last access in microseconds since unix epoch, -1 if unknown.
int64_t | status_change_timestamp
| Time of last status change in microseconds since unix epoch, -1 if unknown.
int64_t | user_id
| User ID of owner, -1 if unknown.
int64_t | group_id
| Group ID of owner, -1 if unknown.
int64_t | filemode
| Unix file mode, -1 if unknown.

## Detailed Description

Describes single entry of the directory.

Only name and type fields are guaranteed be set. Rest of fields are protocol or/and platform dependent and might be unknown.

Examples
  avio_list_dir.c.

Definition at line 87 of file avio.h.

## Field Documentation

## name

char* AVIODirEntry::name

Filename.

Examples
  avio_list_dir.c.

Definition at line 88 of file avio.h.

Referenced by list_op().

## type

int AVIODirEntry::type

Type of the entry.

Examples
  avio_list_dir.c.

Definition at line 89 of file avio.h.

Referenced by list_op().

## utf8

int AVIODirEntry::utf8

Set to 1 when name is encoded with UTF-8, 0 otherwise.

Name can be encoded with UTF-8 even though 0 is set.

Definition at line 90 of file avio.h.

## size

int64_t AVIODirEntry::size

File size in bytes, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 92 of file avio.h.

Referenced by list_op().

## modification_timestamp

int64_t AVIODirEntry::modification_timestamp

Time of last modification in microseconds since unix epoch, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 93 of file avio.h.

Referenced by list_op().

## access_timestamp

int64_t AVIODirEntry::access_timestamp

Time of last access in microseconds since unix epoch, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 95 of file avio.h.

Referenced by list_op().

## status_change_timestamp

int64_t AVIODirEntry::status_change_timestamp

Time of last status change in microseconds since unix epoch, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 97 of file avio.h.

Referenced by list_op().

## user_id

int64_t AVIODirEntry::user_id

User ID of owner, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 99 of file avio.h.

Referenced by list_op().

## group_id

int64_t AVIODirEntry::group_id

Group ID of owner, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 100 of file avio.h.

Referenced by list_op().

## filemode

int64_t AVIODirEntry::filemode

Unix file mode, -1 if unknown.

Examples
  avio_list_dir.c.

Definition at line 101 of file avio.h.

Referenced by list_op().

The documentation for this struct was generated from the following file:

- libavformat/avio.h